% Local Model Network Toolbox installation file

% get directory of the toolbox
LMNDirectory = fileparts(which(mfilename));

% make a help database
pathToToolboxHelp = [LMNDirectory '/html'];
eval(['builddocsearchdb ' pathToToolboxHelp]);

% Add LMN toolbox directory to MATLAB search path
addpath(LMNDirectory);

% Add demonstration example directory to MATLAB search path
addpath(fullfile(LMNDirectory,'LMNTrainExamples'))

% Add lolimot directory to MATLAB search path
addpath(fullfile(LMNDirectory,'lolimot'))
addpath(fullfile(LMNDirectory,'lolimot/demo'))

% Add hilomot directory to MATLAB search path
addpath(fullfile(LMNDirectory,'hilomot'))
addpath(fullfile(LMNDirectory,'hilomot/demo'))

% Add hilomot+ directory to MATLAB search path
addpath(fullfile(LMNDirectory,'hilomotSubset'))


% save path for future sessions
savepath

% Clear variables
clear LMNDirectory pathToToolboxHelp

clear classes
